> For the complete documentation index, see [llms.txt](https://docs.fluidplayer.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fluidplayer.com/portuguese/configuracao/vr-experimental.md).

# VR (experimental)

O player suporta vídeos monoscópicos (equiretangulares) com visualização de 360 graus.

Com a possibilidade de os renderizar como um panorama 360 ou em "modo cardboard" se o ícone cardboard for clicado. Para ativar a funcionalidade de VR **showCardBoardView** tem de ser definido como true.

```html
<video id='vr-video' crossorigin="anonymous">
    <source src='monoscopicvideo.mp4' title='1080p'  type="video/mp4"  />
</video>

<script>
fluidPlayer(
    'vr-video',
    {
        layoutControls: {
            showCardBoardView: true,
            showCardBoardJoystick: true
        }
    }
);
</script>
```

### Anúncios

Atualmente só podemos mostrar anúncios de vídeo de 360 graus.

Os anúncios precisam de ser servidos sob VAST, com o atributo **mediaType="360"** na tag.\
Não são suportados anúncios não lineares.

```xml
<?xml version="1.0" encoding="UTF-8"?>
<VAST version="3.0">
  <Ad id="1">
    <InLine>
      <AdSystem>example1</AdSystem>
      <AdTitle/>
      <Impression id="example1"><![CDATA[https://example1.com/view?tracking_event=impression&idzone=9999999]]></Impression>
      <Impression id="example12"><![CDATA[https://example1.com/view2?tracking_event=impression&idzone=9999999]]></Impression>
      <Creatives>
        <Creative sequence="1" id="1">
          <Linear skipoffset="00:00:03">
            <TrackingEvents>
              <Tracking event="progress" offset="00:00:01.000"><![CDATA[https://example1.com/view?tracking_event=progress&progress=00:00:01.000&idzone=9999999]]></Tracking>
              <Tracking event="progress" offset="00:00:02.000"><![CDATA[https://example1.com/view?tracking_event=progress&progress=00:00:02.000&idzone=9999999]]></Tracking>
              <Tracking event="progress" offset="00:00:05.000"><![CDATA[https://example1.com/view?tracking_event=progress&progress=00:00:05.000&idzone=9999999]]></Tracking>
              <Tracking event="progress" offset="00:00:05.000"><![CDATA[https://example1.com/view2?tracking_event=progress&progress=00:00:05.000&idzone=9999999]]></Tracking>
              <Tracking event="progress" offset="00:00:09.000"><![CDATA[https://example1.com/view?tracking_event=progress&progress=00:00:09.000&idzone=9999999]]></Tracking>
              <Tracking event="start"><![CDATA[https://example1.com/view?tracking_event=start&idzone=9999999]]></Tracking>
              <Tracking event="firstQuartile"><![CDATA[https://example1.com/view?tracking_event=firstQuartile&idzone=9999999]]></Tracking>
              <Tracking event="midpoint"><![CDATA[https://example1.com/view?tracking_event=midpoint&idzone=9999999]]></Tracking>
              <Tracking event="midpoint"><![CDATA[https://example1.com/view2?tracking_event=midpoint&idzone=9999999]]></Tracking>
              <Tracking event="midpoint"><![CDATA[https://example1.com/view3?tracking_event=midpoint&idzone=9999999]]></Tracking>
              <Tracking event="thirdQuartile"><![CDATA[https://example1.com/view?tracking_event=thirdQuartile&idzone=9999999]]></Tracking>
              <Tracking event="complete"><![CDATA[https://example1.com/view?tracking_event=complete&idzone=9999999]]></Tracking>
            </TrackingEvents>
            <VideoClicks>
              <ClickThrough><![CDATA[https://example1.com/]]></ClickThrough>
              <ClickTracking><![CDATA[https://example1.com/view?tracking_event=click&idzone=9999999]]></ClickTracking>
              <ClickTracking><![CDATA[https://example1.com/view2?tracking_event=click&idzone=9999999]]></ClickTracking>
            </VideoClicks>
            <MediaFiles>
              <MediaFile delivery="progressive" type="video/mp4" mediaType="360"><![CDATA[https://player.omnivirt.com/2015/12/18/12/51/14/435bc71d-2a24-4b51-a696-edbb46804273/infiniti-720p-medium.mp4]]></MediaFile>
            </MediaFiles>
          </Linear>
        </Creative>
      </Creatives>
    </InLine>
  </Ad>
</VAST>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fluidplayer.com/portuguese/configuracao/vr-experimental.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
